[Libreoffice-commits] buildbot.git: 7 commits - loperf/docs loperf/loperf.sh
Matúš Kukan
matus.kukan at collabora.com
Mon Dec 2 01:10:01 PST 2013
loperf/docs/empty.ods |binary
loperf/docs/empty.odt |binary
loperf/docs/sample.xlsx |binary
loperf/loperf.sh | 51 +++++++++++++++++++++++++++++++++++-------------
4 files changed, 38 insertions(+), 13 deletions(-)
New commits:
commit 4afb0a64368f416d700ba44c8c0a0bf7374b7ce7
Author: Matúš Kukan <matus.kukan at collabora.com>
Date: Mon Dec 2 10:07:24 2013 +0100
loperf: some empty documents; and sample.xlsx was too big
diff --git a/loperf/docs/empty.ods b/loperf/docs/empty.ods
new file mode 100644
index 0000000..6b13dbc
Binary files /dev/null and b/loperf/docs/empty.ods differ
diff --git a/loperf/docs/empty.odt b/loperf/docs/empty.odt
new file mode 100644
index 0000000..857387b
Binary files /dev/null and b/loperf/docs/empty.odt differ
diff --git a/loperf/docs/sample.xlsx b/loperf/docs/sample.xlsx
index 4e9c24b..1c1cfc3 100644
Binary files a/loperf/docs/sample.xlsx and b/loperf/docs/sample.xlsx differ
commit 62a1f70d11db69546e768f0cfb0a374057f73eac
Author: Matúš Kukan <matus.kukan at collabora.com>
Date: Fri Nov 29 10:18:08 2013 +0100
loperf: Remove old callgrind files.
diff --git a/loperf/loperf.sh b/loperf/loperf.sh
index 461e0ff..9d36a7f 100755
--- a/loperf/loperf.sh
+++ b/loperf/loperf.sh
@@ -173,10 +173,13 @@ find docs -type f | grep -Ev "\/\." | while read f; do
done
+# Clean old callgrind files
+find "logs/callgrind" -type f -mtime +10 -exec rm {} \;
+
# Regression check
-# echo "Regression Status:" | tee -a "$PF_LOG"
-# echo "-----------------" | tee -a "$PF_LOG"
-# find $(dirname $(readlink -f "$PF_LOG")) -type f | grep -v "$PF_LOG" | grep log$ | while read rf; do
-# check_regression "$PF_LOG" "$rf" | tee -a "$PF_LOG"
-# done
-# grep '^Regression found!$' "$PF_LOG" > /dev/null || echo "Congratulations, no regression found!" | tee -a "$PF_LOG"
+echo "Regression Status:" | tee -a "$PF_LOG"
+echo "-----------------" | tee -a "$PF_LOG"
+find $(dirname $(readlink -f "$PF_LOG")) -type f | grep -v "$PF_LOG" | grep log$ | while read rf; do
+ check_regression "$PF_LOG" "$rf" | tee -a "$PF_LOG"
+done
+grep '^Regression found!$' "$PF_LOG" > /dev/null || echo "Congratulations, no regression found!" | tee -a "$PF_LOG"
commit 7d2d687b2a5cc844e37916f2df18c24effe497ce
Author: Matúš Kukan <matus.kukan at collabora.com>
Date: Fri Nov 29 10:04:20 2013 +0100
loperf: Create one history.csv file with CEsts for all files.
Also don't use delta, just write all cycles needed to load the file.
diff --git a/loperf/loperf.sh b/loperf/loperf.sh
index 1f66ff8..461e0ff 100755
--- a/loperf/loperf.sh
+++ b/loperf/loperf.sh
@@ -55,10 +55,12 @@ CG_LOG="logs/callgrind/cg-lo-$DT-$LOVERSION"
PF_LOG="logs/loperf/pf-lo-$DT-$LOVERSION.log"
ERR_LOG="logs/error.log"
CSV_LOG_DIR="logs/csv/"
+CSV_HISTORY="logs/history.csv"
mkdir -p logs/callgrind > /dev/null 2>&1
mkdir -p logs/loperf > /dev/null 2>&1
mkdir -p "$CSV_LOG_DIR" > /dev/null 2>&1
+test -f "$CSV_HISTORY" || echo -e "date\ttime\tgit-commit\toffload$(ls docs/* | sed s%docs/%\\t%g | tr -d '\n')" > "$CSV_HISTORY"
function launch {
@@ -106,6 +108,7 @@ done
# CEst = Ir + 10 Bm + 10 L1m + 20 Ge + 100 L2m + 100 LLm
CEst=$(expr ${offload[0]} + 10 \* $(expr ${offload[12]} + ${offload[10]}) + 10 \* $(expr ${offload[3]} + ${offload[4]} + ${offload[5]}) + 20 \* ${offload[13]} + 100 \* $(expr ${offload[6]} + ${offload[7]} + ${offload[8]}))
echo $'\t'$CEst >> "$CSV_FN"
+echo -n "$TESTDATE"$'\t'"$LOVERSION"$'\t'$CEst >> "$CSV_HISTORY"
# Populate offload to PF_LOG
echo " Ir Dr Dw I1mr D1mr D1mw ILmr DLmr DLmw Bc Bcm Bi Bim Ge" | tee -a "$PF_LOG"
@@ -144,21 +147,26 @@ find docs -type f | grep -Ev "\/\." | while read f; do
echo "Load: $f" | tee -a "$PF_LOG"
echo "$onload_str" | tee -a "$PF_LOG"
+ # Populate onload delta to PF_LOG
+ for i in $(seq 0 13); do
+ onload_delta[$i]=$(expr ${onload[$i]} - ${offload[$i]})
+ echo -n ${onload_delta[$i]} " " | tee -a "$PF_LOG"
+ done
+
#Construct the csv file name
CSV_FN="$CSV_LOG_DIR"/"onload-${f#docs\/}".csv
echo -n "$TESTDATE"$'\t'"$LOVERSION" >> "$CSV_FN"
- # Populate onload delta to PF_LOG and CSV_FN
+ # Populate onload to CSV_FN
for i in $(seq 0 13); do
- onload_delta[$i]=$(expr ${onload[$i]} - ${offload[$i]})
- echo -n ${onload_delta[$i]} " " | tee -a "$PF_LOG"
- echo -n $'\t'${onload_delta[$i]} >> "$CSV_FN"
+ echo -n $'\t'${onload[$i]} >> "$CSV_FN"
done
# CEst = Ir + 10 Bm + 10 L1m + 20 Ge + 100 L2m + 100 LLm
- CEst=$(expr ${onload_delta[0]} + 10 \* $(expr ${onload_delta[12]} + ${onload_delta[10]}) + 10 \* $(expr ${onload_delta[3]} + ${onload_delta[4]} + ${onload_delta[5]}) + 20 \* ${onload_delta[13]} + 100 \* $(expr ${onload_delta[6]} + ${onload_delta[7]} + ${onload_delta[8]}))
+ CEst=$(expr ${onload[0]} + 10 \* $(expr ${onload[12]} + ${onload[10]}) + 10 \* $(expr ${onload[3]} + ${onload[4]} + ${onload[5]}) + 20 \* ${onload[13]} + 100 \* $(expr ${onload[6]} + ${onload[7]} + ${onload[8]}))
echo $'\t'$CEst >> "$CSV_FN"
+ echo -n $'\t'$CEst >> "$CSV_HISTORY"
echo | tee -a "$PF_LOG"
echo | tee -a "$PF_LOG"
commit 55620bf3c5a6de8e8aa9b159f624d71c63880417
Author: Matúš Kukan <matus.kukan at gmail.com>
Date: Thu Nov 28 14:07:28 2013 +0100
loperf: fail if .../soffice.bin does not exist
diff --git a/loperf/loperf.sh b/loperf/loperf.sh
index b23b64b..1f66ff8 100755
--- a/loperf/loperf.sh
+++ b/loperf/loperf.sh
@@ -47,6 +47,7 @@ VALGRIND_PARAMS="$2"
TESTDATE=$(date --rfc-3339=second)
+test ! -f "$OFFICEBIN" && exit 1
LOVERSION="$(get_lo_version "$OFFICEBIN")"
DT=$(echo "$TESTDATE" | tr -s '\ \+\-\:' "_")
commit 1ec659f24bf6d2564a5547cd5b5cc12df15fece2
Author: Matúš Kukan <matus.kukan at gmail.com>
Date: Thu May 23 10:09:12 2013 +0200
loperf: if possible, gzip the callgrind output file
diff --git a/loperf/loperf.sh b/loperf/loperf.sh
index 667fa6b..b23b64b 100755
--- a/loperf/loperf.sh
+++ b/loperf/loperf.sh
@@ -32,6 +32,7 @@ source utls.sh
REQUIRED_VALGRIND_VERSION="valgrind-3.7.0"
hash valgrind > /dev/null 2>&1 || echo "valgrind >= $REQUIRED_VALGRIND_VERSION is required for this test."
+hash gzip > /dev/null 2>&1 && GZIP="TRUE"
if test $(compareversion "$(valgrind --version)" "$REQUIRED_VALGRIND_VERSION") -eq -1; then
echo "valgrind >= $REQUIRED_VALGRIND_VERSION is required for this test."
@@ -93,6 +94,7 @@ cur_log=$(launch)
offload_str=$(grep '^summary:' "$cur_log" | sed s/"summary: "//)
offload=($offload_str)
+if test -n "$GZIP"; then gzip "$cur_log" > /dev/null 2>&1; fi
#Collect data to csv file
CSV_FN="$CSV_LOG_DIR"/"offload.csv"
@@ -136,6 +138,7 @@ find docs -type f | grep -Ev "\/\." | while read f; do
onload_str=$(grep '^summary:' "$cur_log" | sed s/"summary: "//)
onload=($onload_str)
+ if test -n "$GZIP"; then gzip "$cur_log" > /dev/null 2>&1; fi
# Populate onload to PF_LOG
echo "Load: $f" | tee -a "$PF_LOG"
echo "$onload_str" | tee -a "$PF_LOG"
commit 505a6165c0ecc1e5ff977dc4d237cb72c5ec624f
Author: Matúš Kukan <matus.kukan at gmail.com>
Date: Thu Feb 14 13:58:21 2013 +0100
loperf: collect also offload data into csv file
diff --git a/loperf/loperf.sh b/loperf/loperf.sh
index c562d1d..667fa6b 100755
--- a/loperf/loperf.sh
+++ b/loperf/loperf.sh
@@ -94,6 +94,16 @@ cur_log=$(launch)
offload_str=$(grep '^summary:' "$cur_log" | sed s/"summary: "//)
offload=($offload_str)
+#Collect data to csv file
+CSV_FN="$CSV_LOG_DIR"/"offload.csv"
+echo -n "$TESTDATE"$'\t'"$LOVERSION" >> "$CSV_FN"
+for i in $(seq 0 13); do
+ echo -n $'\t'${offload[$i]} >> "$CSV_FN"
+done
+# CEst = Ir + 10 Bm + 10 L1m + 20 Ge + 100 L2m + 100 LLm
+CEst=$(expr ${offload[0]} + 10 \* $(expr ${offload[12]} + ${offload[10]}) + 10 \* $(expr ${offload[3]} + ${offload[4]} + ${offload[5]}) + 20 \* ${offload[13]} + 100 \* $(expr ${offload[6]} + ${offload[7]} + ${offload[8]}))
+echo $'\t'$CEst >> "$CSV_FN"
+
# Populate offload to PF_LOG
echo " Ir Dr Dw I1mr D1mr D1mw ILmr DLmr DLmw Bc Bcm Bi Bim Ge" | tee -a "$PF_LOG"
echo "########################################################" | tee -a "$PF_LOG"
commit 1f2ba288b4cdbf7011e5786144ccdd11d05d854b
Author: Matúš Kukan <matus.kukan at gmail.com>
Date: Thu Feb 14 13:42:40 2013 +0100
loperf: put version at the end, to have files sorted nicely
diff --git a/loperf/loperf.sh b/loperf/loperf.sh
index 201999c..c562d1d 100755
--- a/loperf/loperf.sh
+++ b/loperf/loperf.sh
@@ -49,8 +49,8 @@ TESTDATE=$(date --rfc-3339=second)
LOVERSION="$(get_lo_version "$OFFICEBIN")"
DT=$(echo "$TESTDATE" | tr -s '\ \+\-\:' "_")
-CG_LOG="logs/callgrind/cg-lo-$LOVERSION-$DT"
-PF_LOG="logs/loperf/pf-lo-$LOVERSION-$DT.log"
+CG_LOG="logs/callgrind/cg-lo-$DT-$LOVERSION"
+PF_LOG="logs/loperf/pf-lo-$DT-$LOVERSION.log"
ERR_LOG="logs/error.log"
CSV_LOG_DIR="logs/csv/"
More information about the Libreoffice-commits
mailing list